Multivariate Pattern Analysis in Python

# mvpa2.measures.corrcoef.pearson_correlation

`mvpa2.measures.corrcoef.``pearson_correlation`(x, y=None)

  Computes pearson correlations on matrices

  Parameters:

  x: np.ndarray or Dataset

  > PxM array

  y: np.ndarray or Dataset or None (the default).

  > PxN array. If None, then y=x.

  Returns:

  c: np.ndarray

  > MxN array with c[i,j]=r(x[:,i],y[:,j])

  Notes

  Unlike numpy. this function behaves like matlab’s ‘corr’ function. Its numerical precision is slightly lower than numpy’s correlate function. Unlike scipy’s ‘pearsonr’ function it does not return p values. TODO integrate with CorrCoef